## dde-qt5integration 5.7.12

=== imageformatplugins/dci/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

dtk_add_plugin(
    NAME
        dci
    OUTPUT_DIR
        ${PLUGIN_OUTPUT_BASE_DIR}/imageformats
    INSTALL_DIR
        ${PLUGIN_INSTALL_BASE_DIR}/imageformats
    SOURCES
        main.cpp
        qdciiohandler.cpp
    HEADERS
        qdciiohandler.h
    DEPENDENCIES
        Dtk${VERSION_SUFFIX}::Gui
)

## dde-qt5integration 0.2.8.3+git20180208

=== debian/changelog ===
dde-qt5integration (0.2.8.3+git20180208-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Apr 2018 12:20:06 -0500

dde-qt5integration (0.2.8.3+git20180208-1) unstable; urgency=medium

  * Initial release (Closes: #888814)

 -- Boyuan Yang <073plan@gmail.com>  Sun, 11 Feb 2018 19:11:58 +0800

=== debian/control ===
Source: dde-qt5integration
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 11),
 libdtkwidget-dev,
 libegl1-mesa-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libmtdev-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libqt5xdg-dev,
 libqt5xdgiconloader-dev,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/qt5integration
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

Package: dde-qt5integration
Architecture: any
Provides:
 libqt5deepintheme-plugin,
Conflicts:
 libqt5deepintheme-plugin,
Depends:
 qt5dxcb-plugin,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Qt5 theme integration for Deepin application
 Deepin's qt5integration provides library plugins used by Deepin
 application and Deepin Desktop Environment. It implements many extra
 features on top of stock Qt, include hijacking window decoration /
 shadow painting, better support for cursors under HiDPI, retrieval of
 full list of windows under current workspace, support for window of
 arbitrary shape with anti-aliasing and so on, to make Qt5 application
 and Deepin Desktop Environment more user-friendly.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@

#override_dh_shlibdeps:
#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## dde-qt5integration 0.3.3

=== debian/changelog ===
dde-qt5integration (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
  * Bump Standards-Version to 4.2.0 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 09 Aug 2018 10:28:40 +0800

dde-qt5integration (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2 (Closes: #905131)

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 01 Aug 2018 11:23:53 +0800

dde-qt5integration (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.
  * d/patches: Drop patches, no longer needed.

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 22 Jul 2018 10:27:58 +0800

dde-qt5integration (0.3.0-2) unstable; urgency=medium

  * Revert maintainer address to pkg-deepin-devel@lists.alioth.debian.org.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 13 Jun 2018 22:43:21 +0800

dde-qt5integration (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch to fix include path for new libqt5xdgiconloader-dev
    in repository.
  * d/control: Apply version requirement for libqt5xdgiconloader-dev.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 26 May 2018 10:59:19 +0800

dde-qt5integration (0.2.10-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:13:48 +0800

dde-qt5integration (0.2.10-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Add watch file.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Fri, 06 Apr 2018 10:08:23 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
+ Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
  libdtkwidget-dev,
  libegl1-mesa-dev,
  libfontconfig1-dev,
@@ -16,11 +17,11 @@
  libqt5svg5-dev,
  libqt5x11extras5-dev,
  libqt5xdg-dev,
- libqt5xdgiconloader-dev,
+ libqt5xdgiconloader-dev (>= 3.2.0~),
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

## dde-qt5integration 0.3.4

=== debian/changelog ===
dde-qt5integration (0.3.4-1) unstable; urgency=medium

  * New upstream release 0.3.4.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sun, 26 Aug 2018 15:55:35 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

## dde-qt5integration 0.3.5

=== debian/changelog ===
dde-qt5integration (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5.
  * debian/control:
    + Add new build-dependency libxrender-dev.
    + Update my uploader email address and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Sep 2018 21:42:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
  debhelper (>= 11~),
@@ -18,6 +18,7 @@
  libqt5x11extras5-dev,
  libqt5xdg-dev,
  libqt5xdgiconloader-dev (>= 3.2.0~),
+ libxrender-dev,
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,

## dde-qt5integration 0.3.6

=== debian/changelog ===
dde-qt5integration (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6.
  * Rebuild against Qt 5.11.2.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Nov 2018 21:06:29 -0500

## dde-qt5integration 0.3.7

=== debian/changelog ===
dde-qt5integration (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Dec 2018 12:48:12 -0500

## dde-qt5integration 0.3.7.1

=== debian/changelog ===
dde-qt5integration (0.3.7.1-1) unstable; urgency=medium

  * New upstream version 0.3.7.1.
  * debian/control: Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 07:11:45 +0800

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

## dde-qt5integration 0.3.7.2

=== debian/changelog ===
dde-qt5integration (0.3.7.2-1) unstable; urgency=medium

  * New upstream version 0.3.7.2.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Jan 2019 10:00:13 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libdtkwidget-dev,
  libegl1-mesa-dev,
  libfontconfig1-dev,
@@ -22,6 +22,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
+Rules-Requires-Root: no
 Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git

## dde-qt5integration 5.0.0

=== debian/changelog ===
dde-qt5integration (5.0.0-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.14 (closes: #960952).

  [ Boyuan Yang ]
  * debian/control: Bump debhelper compat to v13.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jun 2020 11:27:34 -0400

dde-qt5integration (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Declare compatible only with dtkwidget (>= 2.1~).

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Sep 2019 13:48:27 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
- libdtkwidget-dev,
+ debhelper-compat (= 13),
+ libdtkwidget-dev (>= 2.1~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -23,7 +23,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export QT_SELECT := 5

## dde-qt5integration 5.1.0.5

=== debian/changelog ===
dde-qt5integration (5.1.0.5-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Tighten version of libdtkwidget-dev to (>= 5.2~)
  * debian/rules: Drop DEB_LDFLAGS_MAINT_APPEND.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 09 Dec 2020 20:48:46 +0545

dde-qt5integration (5.1.0.5-1~exp1) experimental; urgency=medium

  [ Arun Kumar Pariyar ]
  * New upstream release 5.1.0.5.
  * debian/control:
    + Add libdtkgui-dev to Build-Depends.
    + Add qt5dxcb-plugin | dde-qt5dxcb-plugin in binary package Depends.
    + Add Arun Kumar Pariyar to Uploaders.
    + Declare compatible with libdtkwidget-dev (>=5)~.
  * debian/copyright: Update license information.
  * debian/patches: Drop patches, no longer required.
  * debian/rules: Add CHANGELOG.md to override_dh_installchangelogs.

  [ Boyuan Yang ]
  * debian/control: Declare compatible with libdtkwidget-dev (>=5)~.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 06 Nov 2020 23:16:38 +0545

dde-qt5integration (5.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972676).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2020 13:21:15 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- libdtkwidget-dev (>= 2.1~),
+ libdtkgui-dev,
+ libdtkwidget-dev (>= 5.2~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -23,7 +25,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration
@@ -35,7 +37,7 @@
 Conflicts:
  libqt5deepintheme-plugin,
 Depends:
- qt5dxcb-plugin,
+ dde-qt5xcb-plugin | qt5dxcb-plugin,
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dde-qt5integration-$1.tar.gz%" \
 https://github.com/linuxdeepin/qt5integration/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## dde-qt5integration 5.5.17

=== debian/changelog ===
dde-qt5integration (5.5.17-2) unstable; urgency=medium

  * debian/rules: Override dh_auto_configure with
    BASED_DTK_DIR=based-dtk to fix app crashes.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 22 Mar 2022 02:08:13 +0545

dde-qt5integration (5.5.17-1) unstable; urgency=medium

  * New upstream version 5.5.17. (Closes: #1008006)
  * debian/patches: Drop patches, no longer needed.
  * debian/copyright: Update copyright information.
  * Update debian/rules.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Mar 2022 21:10:08 +0545

dde-qt5integration (5.5.8-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 20:26:20 -0500

dde-qt5integration (5.5.8-1~exp1) experimental; urgency=medium

  [ Boyuan Yang ]
  * New upstream version 5.5.8.
  * debian/rules: Only install unversioned .so files.
  * debian/upstream/metadata: Minor fix.
  * debian/control: Tighten versioned build dependencies (dtk libs).
  * debian/patches: Temporarily disable googletest for now.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 08:06:32 -0500

dde-qt5integration (5.1.5-1~exp1) experimental; urgency=medium

  * New upstream release.

  [ Hu Feng ]
  * New upstream release 5.1.5.
  * debian/control:
    + Add qt5-qmake to Build-Depends.
    + Add Hu Feng to Uploaders.
    + Tighten version of libdtkgui-dev to (>= 5.4~)
    + Tighten version of libdtkwidget-dev to (>= 5.4~)
    + Delete libgtk2.0-dev in Build-Depends.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 May 2021 15:20:43 -0400

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  debhelper-compat (= 13),
- libdtkgui-dev,
- libdtkwidget-dev (>= 5.2~),
+ libdtkgui-dev (>= 5.5.17~),
+ libdtkwidget-dev (>= 5.5.17~),
  libegl1-mesa-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
+ libgtest-dev,
  libmtdev-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
@@ -22,10 +23,11 @@
  libqt5xdgiconloader-dev (>= 3.2.0~),
  libxrender-dev,
  pkg-config,
+ qt5-qmake,
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration
@@ -33,6 +35,8 @@
 Package: dde-qt5integration
 Architecture: any
 Provides:
+ dde-qt5integration5,
+ dde-qt5integration5.5,
  libqt5deepintheme-plugin,
 Conflicts:
  libqt5deepintheme-plugin,

## dde-qt5integration 5.5.23

=== debian/changelog ===
dde-qt5integration (5.5.23-1build9) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 04 Apr 2024 23:13:34 +0300

dde-qt5integration (5.5.23-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:58 +1100

dde-qt5integration (5.5.23-1build7) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:11:01 +0000

dde-qt5integration (5.5.23-1build6) noble; urgency=medium

  * No-change rebuild against Qt 5.15.12.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 30 Dec 2023 19:55:51 +0300

dde-qt5integration (5.5.23-1build5) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 21 Jun 2023 11:53:49 +0300

dde-qt5integration (5.5.23-1build4) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.9.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 May 2023 17:16:44 +0300

dde-qt5integration (5.5.23-1build3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 14:15:55 +0300

dde-qt5integration (5.5.23-1build2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Dec 2022 21:35:56 +0300

dde-qt5integration (5.5.23-1build1) kinetic; urgency=medium

  * No-change rebuild against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 18 Sep 2022 10:49:45 +0300

dde-qt5integration (5.5.23-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jun 2022 11:01:05 -0400

dde-qt5integration (5.5.20-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 10:14:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dde-qt5integration
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -27,7 +28,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
-
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -13,9 +12,21 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- BASED_DTK_DIR=based-dtk
+
+override_dh_auto_install:
+	dh_auto_install --no-parallel
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
+
+execute_before_dh_clean:
+	rm -f platformthemeplugin/.qmake.cache
+	rm -f platformthemeplugin/.qmake.stash
+	rm -f platformthemeplugin/config.log

## dde-qt5integration 5.6.11

=== debian/changelog ===
dde-qt5integration (5.6.11-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to drop xdgiconproxyengine (Closes: #1088999).
  * Add iconengineplugins/xdgiconproxyengine to debian/clean.
  * debian/control:
    + Tighten versioned build dependencies for libdtkgui-dev
      and libdtkwidget-dev.
    + Replace libfreetype6-dev with libfreetype-dev.
    + Replace pkg-config with pkgconf.
    + Replace libfontconfig1-dev with libfontconfig-dev.
    + Drop libqt5xdg-dev and libqt5xdgiconloader-dev
      from Build Depends.

 -- Arun Kumar Pariyar <arun@debian.org>  Sun, 15 Dec 2024 22:02:22 +0545

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: dde-qt5integration
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
- Arun Kumar Pariyar <openarungeek@gmail.com>,
+ Arun Kumar Pariyar <arun@debian.org>,
  Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  debhelper-compat (= 13),
- libdtkgui-dev (>= 5.5.17~),
- libdtkwidget-dev (>= 5.5.17~),
+ libdtkgui-dev (>= 5.6.2~),
+ libdtkwidget-dev (>= 5.6.2~),
  libegl1-mesa-dev,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libglib2.0-dev,
  libgtest-dev,
  libmtdev-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
- libqt5xdg-dev,
- libqt5xdgiconloader-dev (>= 3.2.0~),
  libxrender-dev,
- pkg-config,
+ pkgconf,
  qt5-qmake,
  qtbase5-dev,
  qtbase5-private-dev,

## dde-qt5integration 5.7.9

=== debian/changelog ===
dde-qt5integration (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:36:15 -0500

dde-qt5integration (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Re-enable xdgiconproxyengine.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 13:00:36 -0500

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,26 @@
  Hu Feng <hufeng@uniontech.com>,
 Build-Depends:
  debhelper-compat (= 13),
- libdtkgui-dev (>= 5.6.2~),
- libdtkwidget-dev (>= 5.6.2~),
+ cmake,
+ libdtkgui-dev (>= 5.7.8),
+ libdtkwidget-dev (>= 5.7.8),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
  libglib2.0-dev,
+ libgmock-dev,
  libgtest-dev,
  libmtdev-dev,
  libqt5svg5-dev,
  libqt5x11extras5-dev,
+ libqt5xdg-dev,
+ libqt5xdgiconloader-dev,
  libxrender-dev,
  pkgconf,
- qt5-qmake,
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

## dde-qt5integration 5.7.11

=== debian/changelog ===
dde-qt5integration (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:54:25 -0500

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libdtkgui-dev (>= 5.7.8),
- libdtkwidget-dev (>= 5.7.8),
+ libdtkgui-dev (>= 5.7.11),
+ libdtkwidget-dev (>= 5.7.11),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
@@ -28,7 +28,7 @@
  qtbase5-dev,
  qtbase5-private-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/linuxdeepin/qt5integration
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dde-qt5integration

## dde-qt5integration 5.7.12

=== debian/changelog ===
dde-qt5integration (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 14:23:46 +0300

dde-qt5integration (5.7.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 16:12:09 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libdtkgui-dev (>= 5.7.11),
- libdtkwidget-dev (>= 5.7.11),
+ libdtkgui-dev (>= 5.7.12),
+ libdtkwidget-dev (>= 5.7.12),
  libegl1-mesa-dev,
  libfontconfig-dev,
  libfreetype-dev,
